using System;
using BeWo.Report;
using BeWo.Report.ReportObjects;

namespace BeWo.Club74
{
    public partial class InvoiceCustomerReport : DevExpress.XtraReports.UI.XtraReport, IBeWoReport<InvoiceCustomerRO>
    {
        public InvoiceCustomerReport()
        {
            InitializeComponent();
        }

        public void SetReportDataSource(InvoiceCustomerRO pRO)
        {
			if (!String.IsNullOrEmpty(pRO.RecipientSalutationAddressField))
			{
				if (pRO.RecipientSalutationAddressField == "Herrn")
				{
					pRO.RecipientSalutationAddressField = "Herr";
				}
				
			}
	        if (String.IsNullOrEmpty(pRO.Notice))
	        {
		        lblBemerkung.Visible = false;
	        }
            this.bindingSource1.DataSource = pRO;
        }
    }
}
